Subject: Re: [UFC-dev] [DOLFIN-dev] [HG dolfin] Move initialization of local data for setting boundary condition to

From: "Garth N. Wells" <[email-masked]>
Date: Fri, 27 Apr 2007 15:56:01 +0200

Anders Logg wrote:
> Yes, it looks like you need to update. (It was quite a while since we
> put this in.)
> 

I had the same problem that Martin had a while ago - ufc.h under 
/usr/local/include and /usr/include.

I thought that it was settled that by default Python would install 
Python-related UFC files where it wanted, and ufc.h would be placed 
under /usr/local/include? Is Python determining where ufc.h is installed?

> Hopefully, we'll be to complete the test cases in DOLFIN shortly and
> then after a short round of comments, we can release UFC 1.0 and try
> to keep it constant for some time (until 2.0).
>

I'd be inclined to kick it around for a while before making a 1.0 release.

Garth

> As far as I can see, we just need to add evaluate_basis_derivatives
> and then we're done.
> 
> /Anders
> 
> 
> On Fri, Apr 27, 2007 at 03:32:27PM +0200, Garth N. Wells wrote:
>> Does ufc need to be updated? When compiling DOLFIN I get the below error.
>>
>> Garth
>>
>> SubSystem.cpp: In static member function 'static ufc::dof_map* 
>> dolfin::SubSystem::extractDofMap(const ufc::dof_map&, const 
>> dolfin::Array<unsigned int>&)':
>> SubSystem.cpp:104: error: 'const class ufc::dof_map' has no member named 
>> 'num_sub_dof_maps'
>> SubSystem.cpp:116: error: 'const class ufc::dof_map' has no member named 
>> 'num_sub_dof_maps'
>> SubSystem.cpp:118: error: 'const class ufc::dof_map' has no member named 
>> 'num_sub_dof_maps'
>> SubSystem.cpp:123: error: 'const class ufc::dof_map' has no member named 
>> 'create_sub_dof_map'
>>
>>
>>
>> DOLFIN wrote:
>>> One or more new changesets pushed to the primary DOLFIN repository.
>>> A short summary of the last three changesets is included below.
>>>
>>> changeset:   2934:5d752d0b0308f77e461f1407a1565838202f9e17
>>> tag:         tip
>>> user:        "Anders Logg <[email-masked]>"
>>> date:        Fri Apr 27 14:59:29 2007 +0200
>>> files:       src/demo/pde/stokes/taylor-hood/Stokes.h 
>>> src/kernel/fem/BoundaryCondition.cpp src/kernel/fem/SubSystem.cpp 
>>> src/kernel/fem/dolfin/BoundaryCondition.h src/kernel/fem/dolfin/SubSystem.h
>>> description:
>>> Move initialization of local data for setting boundary condition to
>>> nested class LocalData in BoundaryCondition.
>>>
>>> Sub elements and sub dof maps are extracted (when such exist).
>>> Works for elasticity demo, but not yet for Stokes.
>>>
>>>
>>> changeset:   2933:5378479aebbf65d72e9432f96fa2e49d3e3167a7
>>> user:        "Anders Logg <[email-masked]>"
>>> date:        Fri Apr 27 12:13:15 2007 +0200
>>> files:       src/demo/pde/stokes/taylor-hood/main.cpp 
>>> src/kernel/common/dolfin/Array.h src/kernel/fem/BoundaryCondition.cpp 
>>> src/kernel/fem/SubSystem.cpp src/kernel/fem/dolfin/BoundaryCondition.h 
>>> src/kernel/fem/dolfin/SubSystem.h src/kernel/pde/GenericPDE.cpp 
>>> src/kernel/pde/LinearPDE.cpp src/kernel/pde/NonlinearPDE.cpp 
>>> src/kernel/pde/PDE.cpp src/kernel/pde/dolfin/GenericPDE.h 
>>> src/kernel/pde/dolfin/LinearPDE.h src/kernel/pde/dolfin/NonlinearPDE.h 
>>> src/kernel/pde/dolfin/PDE.h
>>> description:
>>> Bug fixes in Array and PDE classes and more work on
>>> bcs for sub systems (still not used).
>>>
>>>
>>> changeset:   2932:55e68f0479eb25ec727726ed0e70135d10acb0b6
>>> user:        "Anders Logg <[email-masked]>"
>>> date:        Fri Apr 27 00:56:16 2007 +0200
>>> files:       src/demo/pde/stokes/taylor-hood/main.cpp 
>>> src/kernel/fem/BoundaryCondition.cpp src/kernel/fem/SubSystem.cpp 
>>> src/kernel/fem/dolfin/BoundaryCondition.h 
>>> src/kernel/fem/dolfin/SubSystem.h src/kernel/fem/dolfin/dolfin_fem.h 
>>> src/kernel/mesh/SubDomain.cpp
>>> description:
>>> Change interface for setting boundary conditions for sub systems.
>>> Work on recursive extraction of sub elements/dof maps (not yet
>>> used in setting boundary conditions).
>>>
>>>
>>> ----------------------------------------------------------------------
>>> For more details, visit http://www.fenics.org/hg/dolfin
>>> _______________________________________________
>>> DOLFIN-dev mailing list
>>> [email-masked]
>>> http://www.fenics.org/mailman/listinfo/dolfin-dev
>>>
>

---

From: Anders Logg <[email-masked]>
Date: Fri, 27 Apr 2007 16:14:16 +0200

> under /usr/local/include? Is Python determining where ufc.h is installed?

Yes, that's what we settled on. As I remember, the conclusion was that
even if putting ufc.h under /usr/include (determined by Python) is
inconsistent with the location our other headers (like dolfin.h), it
is more important that the UFC package is consistent with itself so
that it doesn't place some things under /usr and others under
/usr/local.

> I'd be inclined to kick it around for a while before making a 1.0 release.

If there is reason to believe we want to make adjustments, we can wait
until we're pretty sure we have what we want before making a release.

/Anders